Subject: [Idr] draft-djsmith-bgp-flowspec-oid-0

From: <[email-masked]>
Date: Wed, 6 Jun 2012 09:15:26 +0000

Hi,

I'm fine with the current doc however please find below some comments / questions:

1) There may be an alternate solution which seems to fit the need and be lighter from a change impact:
Make step (a) of the validation procedure specified in RFC 5575, section 6 OPTIONAL for IBGP learned flow specification NLRIs _originated from (a) specific Originator(s)_.

(In this use case, the specific originator being the centralized BGP route controller)

2) As we revise RFC 5575, do we need to consider the use of BGP ADD Path? Indeed, when checking for the originator, RFC 5575 seems to assume that the originator advertises a single route. With ADD Path, it looks like in some corner cases, the ingress router may select a different best path than the egress ASBR. (and hence a neighbor AS 1 could filter traffic going to neighbor AS 2).

3) As we revise RFC 5575, RFC 5575 says:
"   BGP implementations MUST also enforce that the AS_PATH attribute of a
   route received via the External Border Gateway Protocol (eBGP)
   contains the neighboring AS in the left-most position of the AS_PATH
   attribute."

It's not immediately clear (to me) whether it applies to all flow spec routes or all routes from all AFI/SAFI.

4) As there has been discussions about checking the AS_PATH (and others about removing the AS_PATH) is there a need to talk about BGPSEC?

Thanks,
Regards,
Bruno

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
France Telecom - Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, France Telecom - Orange is not liable for messages that have been modified, changed or falsified.
Thank you.